Authorization: Bearer ********************{
"input": [
{
"role": "user",
"content": "次のことを同時に行うことができるようにしてください。\n1. 現在のシステム時刻を取得する\n2. システム情報 (オペレーティング システム、メモリなど) を表示します。\n3. 123.5 + 456.7 の結果を計算するのを手伝ってください。\n4. 1 ~ 100 の範囲で 3 つの乱数を生成します。\n\nこれは並行ツール呼び出しテストです。これらのタスクを同時に実行してください。"
}
],
"metadata": {
"model_id": "32"
},
"model": "gpt-4.1",
"tool_choice": "auto",
"tools": [
{
"type": "function",
"name": "random_generator",
"description": "指定された範囲内の乱数を生成し、バッチ生成をサポートします",
"parameters": {
"type": "object",
"properties": {
"min": {
"description": "最小値 (デフォルトは 1)",
"type": "integer"
},
"max": {
"description": "最大値 (デフォルトは 100)",
"type": "integer"
},
"count": {
"description": "世代数(デフォルトは1、最大10)",
"type": "integer"
}
}
}
},
{
"type": "function",
"name": "system_info",
"description": "オペレーティング システム、Java バージョン、メモリ使用量など、現在のシステムに関する基本情報を取得します。",
"parameters": {
"type": "object",
"properties": {}
}
},
{
"type": "function",
"name": "math_calculator",
"description": "基本的な数学演算を実行し、加算、減算、乗算、除算、累乗演算をサポートします。",
"parameters": {
"type": "object",
"properties": {
"a": {
"description": "最初の番号",
"type": "number"
},
"b": {
"description": "2番目の数字",
"type": "number"
},
"operation": {
"description": "演算タイプ: 加算、減算、乗算、除算、べき乗",
"type": "string"
}
},
"required": [
"operation",
"a",
"b"
]
}
},
{
"type": "function",
"name": "current_time",
"description": "現在のシステム時刻を取得します",
"parameters": {
"type": "object",
"properties": {}
}
}
]
}curl --location --request POST 'https://yossapi.com/v1/responses' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"input": [
{
"role": "user",
"content": "次のことを同時に行うことができるようにしてください。\n1. 現在のシステム時刻を取得する\n2. システム情報 (オペレーティング システム、メモリなど) を表示します。\n3. 123.5 + 456.7 の結果を計算するのを手伝ってください。\n4. 1 ~ 100 の範囲で 3 つの乱数を生成します。\n\nこれは並行ツール呼び出しテストです。これらのタスクを同時に実行してください。"
}
],
"metadata": {
"model_id": "32"
},
"model": "gpt-4.1",
"tool_choice": "auto",
"tools": [
{
"type": "function",
"name": "random_generator",
"description": "指定された範囲内の乱数を生成し、バッチ生成をサポートします",
"parameters": {
"type": "object",
"properties": {
"min": {
"description": "最小値 (デフォルトは 1)",
"type": "integer"
},
"max": {
"description": "最大値 (デフォルトは 100)",
"type": "integer"
},
"count": {
"description": "世代数(デフォルトは1、最大10)",
"type": "integer"
}
}
}
},
{
"type": "function",
"name": "system_info",
"description": "オペレーティング システム、Java バージョン、メモリ使用量など、現在のシステムに関する基本情報を取得します。",
"parameters": {
"type": "object",
"properties": {}
}
},
{
"type": "function",
"name": "math_calculator",
"description": "基本的な数学演算を実行し、加算、減算、乗算、除算、累乗演算をサポートします。",
"parameters": {
"type": "object",
"properties": {
"a": {
"description": "最初の番号",
"type": "number"
},
"b": {
"description": "2番目の数字",
"type": "number"
},
"operation": {
"description": "演算タイプ: 加算、減算、乗算、除算、べき乗",
"type": "string"
}
},
"required": [
"operation",
"a",
"b"
]
}
},
{
"type": "function",
"name": "current_time",
"description": "現在のシステム時刻を取得します",
"parameters": {
"type": "object",
"properties": {}
}
}
]
}'{
"id": "resp_68ac1558e9488190bcc2cbb94c7d7a140b8064b15a091a77",
"object": "response",
"created_at": 1756108120,
"status": "completed",
"background": false,
"content_filters": null,
"error": null,
"incomplete_details": null,
"instructions": null,
"max_output_tokens": null,
"max_tool_calls": null,
"model": "gpt-4.1-data",
"output": [
{
"id": "fc_68ac15594be88190a58217f75a6a54cc0b8064b15a091a77",
"type": "function_call",
"status": "completed",
"arguments": "{\"sign\":\"Aquarius\"}",
"call_id": "call_6kbB2GTk62PPUNdGuBJPx9KQ",
"name": "get_horoscope"
}
],
"parallel_tool_calls": true,
"previous_response_id": null,
"prompt_cache_key": null,
"reasoning": {
"effort": null,
"summary": null
},
"safety_identifier": null,
"service_tier": "default",
"store": true,
"temperature": 1.0,
"text": {
"format": {
"type": "text"
}
},
"tool_choice": "auto",
"tools": [
{
"type": "function",
"description": "Get today's horoscope for an astrological sign.",
"name": "get_horoscope",
"parameters": {
"properties": {
"sign": {
"description": "An astrological sign like Taurus or Aquarius",
"type": "string"
}
},
"required": [
"sign"
],
"type": "object"
},
"strict": true
}
],
"top_p": 1.0,
"truncation": "disabled",
"usage": {
"input_tokens": 62,
"input_tokens_details": {
"cached_tokens": 0
},
"output_tokens": 18,
"output_tokens_details": {
"reasoning_tokens": 0
},
"total_tokens": 80
},
"user": null,
"metadata": {}
}